# --------------------------------------------------------------------------- #
# Copyright (c) 2021 MOVINDOT ART S.R.L. (movindot.com). All rights reserved. #
# See eula.txt in the project root for license information.                   #
# --------------------------------------------------------------------------- #

"""Logging functionality."""

import maya.api.OpenMaya as om


def info(text):
    """Display an info message."""
    om.MGlobal.displayInfo(f'Puppeteer: {text}')


def warning(text):
    """Display a warning message."""
    om.MGlobal.displayWarning(f'Puppeteer: {text}')


def error(text):
    """Display an error message."""
    om.MGlobal.displayError(f'Puppeteer: {text}')
